FROM ubuntu:16.04
MAINTAINER Chris Cannam <cannam@all-day-breakfast.com>
RUN apt-get update && \
    apt-get install -y \
    build-essential \
    libsndfile-dev \
    git mercurial subversion \
    curl wget zip \
    mlton \
    python libpython2.7-dev python-numpy \
    time valgrind
RUN apt-get clean && rm -rf /var/lib/apt/lists/*
RUN hg clone -r[[REVISION]] https://code.soundsoftware.ac.uk/hg/vamp-build-and-test
WORKDIR vamp-build-and-test
RUN ./SCRIPTS/update.sh [[REPO]] [[REPOREVISION]]
RUN ./SCRIPTS/update.sh vamp-plugin-sdk
RUN ./SCRIPTS/update.sh vamp-plugin-tester
RUN ( cd vamp-plugin-tester && ./repoint update )
RUN ./SCRIPTS/process.sh native -c [[REPO]]


